<div class="yps-bootstrap">

    <?php do_shortcode('[yps-plugin-header]'); ?>

    <div class="container-fluid">
        <ul class="nav nav-tabs mt-5">
            <li class="nav-item">
                <a 
                    class="nav-link <?php $this->html_requested_controller_name(array("Notice_Controller", "Application_Controller"), "active"); ?> " 
                    href="<?php echo $this->notice_config->get_list_url(); ?>">
                        <?php _e('Notices', 'yps-wc-conditional-cart-notices'); ?>
                </a>
            </li>

            <?php if(apply_filters('yps_wc_conditional_cart_notices_is_pro', false) == true): ?>
            <li class="nav-item">
                <a 
                    class="nav-link <?php $this->html_requested_controller_name("Template_Controller", "active"); ?> " 
                    href="<?php echo $this->template_config->get_list_url(); ?>">
                    <?php _e('Notices Templates', 'yps-wc-conditional-cart-notices'); ?>
                </a>
            </li>
            <?php endif; ?>
            
            <li class="nav-item">
                <a 
                    class="nav-link <?php $this->html_requested_controller_name("Settings_Controller", "active"); ?> " 
                    href="<?php echo $this->settings_config->get_settings_url(); ?>">
                    <?php _e('General Settings', 'yps-wc-conditional-cart-notices'); ?>
                </a>
            </li>
        </ul>

        <div class="tab-content">
            <div class="tab-pane active" role="tabpanel">
                <?php (new \YPS\WC_Conditional_Cart_Notices\Notice_Controller($this->context, $this->params))->request_display(); ?>
                <?php (new \YPS\WC_Conditional_Cart_Notices\Template_Controller($this->context, $this->params))->request_display(); ?>
                <?php (new \YPS\WC_Conditional_Cart_Notices\Settings_Controller($this->context, $this->params))->request_display(); ?>
            </div>
        </div>
    </div>

    <?php do_shortcode('[yps-plugin-footer]'); ?>
</div>

